// src/dialogs/ConfirmDismissHelpTips.tsx
import { useDispatch } from "react-redux";
import { Button, Dialog, DialogActions, DialogContent, DialogTitle } from "@mui/material";
import storeActions from "@northern.tech/store/actions";
import { setOnboardingCanceled } from "@northern.tech/store/thunks";
import { jsx, jsxs } from "react/jsx-runtime";
var { setShowDismissOnboardingTipsDialog } = storeActions;
var ConfirmDismissHelptips = () => {
  const dispatch = useDispatch();
  return /* @__PURE__ */ jsxs(Dialog, { open: true, children: [
    /* @__PURE__ */ jsx(DialogTitle, { children: "Dismiss the Getting Started help?" }),
    /* @__PURE__ */ jsx(DialogContent, { children: "Hide the help tips? You haven't finished your first update yet." }),
    /* @__PURE__ */ jsxs(DialogActions, { className: "flexbox space-between", children: [
      /* @__PURE__ */ jsx(Button, { onClick: () => dispatch(setShowDismissOnboardingTipsDialog(false)), children: "Cancel" }),
      /* @__PURE__ */ jsx(Button, { variant: "contained", color: "secondary", onClick: () => dispatch(setOnboardingCanceled()), children: "Yes, hide the help" })
    ] })
  ] });
};
var ConfirmDismissHelpTips_default = ConfirmDismissHelptips;

export {
  ConfirmDismissHelptips,
  ConfirmDismissHelpTips_default
};
//# sourceMappingURL=chunk-RUXL6LK4.js.map