import {
  BaseOnboardingTooltip,
  BaseOnoardingTip_default
} from "./chunk-HN5UM2D4.js";

// src/helptips/OnboardingTips.tsx
import { useDispatch } from "react-redux";
import { Schedule as HelpIcon } from "@mui/icons-material";
import { Button } from "@mui/material";
import storeActions from "@northern.tech/store/actions";
import { ALL_DEVICES, onboardingSteps } from "@northern.tech/store/constants";
import { advanceOnboarding } from "@northern.tech/store/thunks";
import { jsx, jsxs } from "react/jsx-runtime";
var { setShowConnectingDialog, setShowDismissOnboardingTipsDialog } = storeActions;
var DevicePendingTip = (props) => /* @__PURE__ */ jsx(
  BaseOnoardingTip_default,
  {
    icon: /* @__PURE__ */ jsx(HelpIcon, {}),
    component: /* @__PURE__ */ jsx("div", { children: 'If you followed the steps in "Connecting a device", your device will show here shortly.' }),
    ...props
  }
);
var GetStartedTip = (props) => {
  const dispatch = useDispatch();
  return /* @__PURE__ */ jsx(BaseOnboardingTooltip, { ...props, children: /* @__PURE__ */ jsxs("div", { className: "margin-top", style: { marginBottom: -12 }, children: [
    /* @__PURE__ */ jsx("p", { children: /* @__PURE__ */ jsx("b", { children: "Welcome to Mender!" }) }),
    "We can help you get started with connecting your first device and deploying an update to it.",
    /* @__PURE__ */ jsxs("div", { className: "flexbox center-aligned margin-top-small space-between", children: [
      /* @__PURE__ */ jsx("b", { className: "clickable slightly-smaller", onClick: () => dispatch(setShowDismissOnboardingTipsDialog(true)), children: "No thanks, I don't need help" }),
      /* @__PURE__ */ jsx(Button, { onClick: () => dispatch(setShowConnectingDialog(true)), children: "Get started" })
    ] })
  ] }) });
};
var DevicesPendingDelayed = () => /* @__PURE__ */ jsx("div", { children: "If your device still isn't showing, try following the connection steps again or see our documentation for more." });
var DashboardOnboardingState = () => /* @__PURE__ */ jsx("div", { children: "Your device has requested to join the server. Click the row to expand the device details." });
var DevicesPendingAcceptingOnboarding = () => /* @__PURE__ */ jsxs("div", { children: [
  "Your device has made a request to join the Mender server. You can inspect its identity details, such as mac address and public key, to verify it is definitely your device.",
  /* @__PURE__ */ jsx("br", {}),
  "When you are ready, Accept it!"
] });
var DashboardOnboardingPendings = () => /* @__PURE__ */ jsx("div", { children: "Next accept your device" });
var DevicesAcceptedOnboarding = (props) => {
  const dispatch = useDispatch();
  return /* @__PURE__ */ jsx(BaseOnboardingTooltip, { ...props, children: /* @__PURE__ */ jsxs("div", { className: "margin-top", style: { marginBottom: -12 }, children: [
    /* @__PURE__ */ jsxs("div", { children: [
      /* @__PURE__ */ jsx("p", { children: "Your device is now authenticated and has connected to the server! It's ready to receive updates, report its data and more." }),
      "Would you like to learn how to deploy your first update?"
    ] }),
    /* @__PURE__ */ jsxs("div", { className: "flexbox center-aligned margin-top-small space-between", children: [
      /* @__PURE__ */ jsx("b", { className: "clickable slightly-smaller", onClick: () => dispatch(setShowDismissOnboardingTipsDialog(true)), children: "Dismiss the tutorial" }),
      /* @__PURE__ */ jsx(Button, { onClick: () => dispatch(advanceOnboarding(onboardingSteps.DEVICES_ACCEPTED_ONBOARDING)), children: "Yes, let's deploy!" })
    ] })
  ] }) });
};
var DevicesDeployReleaseOnboarding = () => /* @__PURE__ */ jsx("div", { children: "From the Device actions, choose 'Create a deployment for this device'. You'll deploy an update to the device, using some demo software we have provided." });
var SchedulingArtifactSelection = ({ selectedRelease }) => /* @__PURE__ */ jsx("div", { children: `Select the ${selectedRelease.name} release we included.` });
var SchedulingAllDevicesSelection = () => /* @__PURE__ */ jsxs("div", { children: [
  "Select 'All devices' for now.",
  /* @__PURE__ */ jsx("p", { children: "You can learn how to create device groups later." })
] });
var SchedulingGroupSelection = ({ createdGroup }) => /* @__PURE__ */ jsx("div", { children: `Select the ${createdGroup} device group you just made.` });
var SchedulingReleaseToDevices = ({ selectedDevice, selectedGroup, selectedRelease }) => /* @__PURE__ */ jsx("div", { children: `Create the deployment! This will deploy the ${selectedRelease.name} Artifact to ${selectedDevice ? selectedDevice.id : selectedGroup || ALL_DEVICES}` });
var DeploymentsInprogress = () => /* @__PURE__ */ jsx("div", { children: "Your deployment is in progress. Click to view a report" });
var DeploymentUploadFinished = () => /* @__PURE__ */ jsx("div", { children: "Artifact upload is finished. Click to close the panel" });
var DeploymentsPast = () => /* @__PURE__ */ jsx("div", { children: "Your deployment has finished, click here to view it" });
var DeploymentsPastCompletedFailure = () => /* @__PURE__ */ jsx("div", { children: "Your deployment has finished, but it looks like there was a problem. Click to view the deployment report, where you can see the error log." });

export {
  DevicePendingTip,
  GetStartedTip,
  DevicesPendingDelayed,
  DashboardOnboardingState,
  DevicesPendingAcceptingOnboarding,
  DashboardOnboardingPendings,
  DevicesAcceptedOnboarding,
  DevicesDeployReleaseOnboarding,
  SchedulingArtifactSelection,
  SchedulingAllDevicesSelection,
  SchedulingGroupSelection,
  SchedulingReleaseToDevices,
  DeploymentsInprogress,
  DeploymentUploadFinished,
  DeploymentsPast,
  DeploymentsPastCompletedFailure
};
//# sourceMappingURL=chunk-VDKETARI.js.map